"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const common_vendor = require("./common/vendor.js");
if (!Math) {
  "./pages/index/index.js";
  "./pages/my/index.js";
  "./pagesOne/winner/index.js";
  "./pagesOne/winner/uploadImage.js";
  "./pagesOne/record/winnerList.js";
  "./pagesOne/record/uploadList.js";
  "./pagesOne/record/uploadDetail.js";
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "App",
  setup(__props) {
    common_vendor.onLaunch(() => {
      console.log("App Launch");
    });
    common_vendor.onShow(() => {
      const appid = common_vendor.index.getAccountInfoSync().miniProgram.appId;
      common_vendor.index.setStorageSync("appid", appid);
    });
    common_vendor.onHide(() => {
      console.log("App Hide");
    });
    common_vendor.onLoad(() => {
      common_vendor.wx$1.getAccountInfoSync().miniProgram.appId;
    });
    return () => {
    };
  }
});
function createApp() {
  const app = common_vendor.createSSRApp(_sfc_main);
  app.use(common_vendor.createPinia());
  return {
    app
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
