"use strict";
const common_vendor = require("../../common/vendor.js");
const services_ams = require("../../services/ams.js");
const utils_system = require("../../utils/system.js");
if (!Array) {
  const _easycom_wd_swiper2 = common_vendor.resolveComponent("wd-swiper");
  _easycom_wd_swiper2();
}
const _easycom_wd_swiper = () => "../../node-modules/wot-design-uni/components/wd-swiper/wd-swiper.js";
if (!Math) {
  (_easycom_wd_swiper + UserLoginPopup)();
}
const UserLoginPopup = () => "../../components/userLoginPopup.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const current = common_vendor.ref(0);
    const appid = common_vendor.index.getStorageSync("appid");
    const onLogin = () => {
      common_vendor.index.login({
        //获取code，
        success: (res) => {
          services_ams.getOpenId(res.code).then((res2) => {
            common_vendor.index.setStorageSync("openid", res2.data.openid);
          });
        }
      });
    };
    const bannerList = common_vendor.ref([]);
    const getBanner = () => {
      services_ams.getCarousel(appid).then((res) => {
        bannerList.value = res.data;
      });
    };
    const loginRef = common_vendor.ref(null);
    const toActivity = () => {
      if (!utils_system.isGetPhone()) {
        loginRef.value.show = true;
      } else {
        common_vendor.index.navigateTo({
          url: "/pagesOne/winner/index"
        });
      }
    };
    common_vendor.onLoad(() => {
      onLogin();
      getBanner();
    });
    common_vendor.onShow(() => {
      utils_system.getActivityData();
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          customClass: "customSwiper",
          list: bannerList.value,
          autoplay: true,
          ["value-key"]: "imageUrl",
          value: current.value
        }),
        b: common_vendor.o(toActivity),
        c: common_vendor.sr(loginRef, "f5f2151a-1", {
          "k": "loginRef"
        }),
        d: common_vendor.p({
          path: "/pagesOne/winner/index"
        })
      };
    };
  }
});
wx.createPage(_sfc_main);
