"use strict";
const utils_http = require("../utils/http.js");
const getCarousel = (data) => {
  return utils_http.http({
    method: "GET",
    url: `/miniApp/getCarousel/${data}`,
    data
  });
};
const getActivity = (data) => {
  return utils_http.http({
    method: "GET",
    url: `/miniApp/getActivity/${data}`
  });
};
const addCustomer = (data) => {
  return utils_http.http({
    method: "POST",
    url: "/customer/add",
    data
  });
};
const rewardList = (data) => {
  return utils_http.http({
    method: "POST",
    url: "/customer/rewardList",
    data
  });
};
const auditSuccessList = (data) => {
  return utils_http.http({
    method: "POST",
    url: "/customer/auditSuccessList",
    data
  });
};
const rewardDetail = (data) => {
  return utils_http.http({
    method: "POST",
    url: "/customer/rewardDetail",
    data
  });
};
const getPhoneNumberInfo = (data) => {
  return utils_http.http({
    method: "GET",
    url: `/miniApp/getPhoneNumber/${data}`,
    data
  });
};
const validate = (data) => {
  return utils_http.http({
    method: "POST",
    url: `/miniApp/validate/${data.marketingActivityId}`,
    data
  });
};
const getOpenId = (data) => {
  return utils_http.http({
    method: "GET",
    url: `/miniApp/getOpenId/${data}`,
    data
  });
};
const payment = (data) => {
  return utils_http.http({
    method: "POST",
    url: `/customer/payment/${data}`,
    data
  });
};
exports.addCustomer = addCustomer;
exports.auditSuccessList = auditSuccessList;
exports.getActivity = getActivity;
exports.getCarousel = getCarousel;
exports.getOpenId = getOpenId;
exports.getPhoneNumberInfo = getPhoneNumberInfo;
exports.payment = payment;
exports.rewardDetail = rewardDetail;
exports.rewardList = rewardList;
exports.validate = validate;
