"use strict";
const common_vendor = require("../../common/vendor.js");
const utils_system = require("../../utils/system.js");
require("../../utils/http.js");
if (!Array) {
  const _easycom_wd_cell2 = common_vendor.resolveComponent("wd-cell");
  _easycom_wd_cell2();
}
const _easycom_wd_cell = () => "../../node-modules/wot-design-uni/components/wd-cell/wd-cell.js";
if (!Math) {
  (_easycom_wd_cell + UserLoginPopup)();
}
const UserLoginPopup = () => "../../components/userLoginPopup.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const imgObj = {
      user: "https://qiuyu-daodian.oss-cn-beijing.aliyuncs.com/images/user.png",
      gift: "https://qiuyu-daodian.oss-cn-beijing.aliyuncs.com/images/gift.png",
      page: "https://qiuyu-daodian.oss-cn-beijing.aliyuncs.com/images/page.png",
      with: "https://qiuyu-daodian.oss-cn-beijing.aliyuncs.com/images/with.png",
      myBg: "https://qiuyu-daodian.oss-cn-beijing.aliyuncs.com/images/myBg.png"
    };
    const list = [
      {
        label: "可用积分",
        src: "https://qiuyu-daodian.oss-cn-beijing.aliyuncs.com/images/int.png",
        num: 0
      },
      {
        label: "优惠券",
        src: "https://qiuyu-daodian.oss-cn-beijing.aliyuncs.com/images/coupon.png",
        num: 0
      }
    ];
    const navTop = common_vendor.ref(0);
    const loginRef = common_vendor.ref(null);
    const path = common_vendor.ref("");
    const phone = common_vendor.index.getStorageSync("phone");
    const toWinner = () => {
      path.value = "/pagesOne/record/winnerList";
      if (!utils_system.isGetPhone()) {
        loginRef.value.show = true;
      } else {
        common_vendor.index.navigateTo({
          url: "/pagesOne/record/winnerList"
        });
      }
    };
    const toUpLoad = () => {
      path.value = "/pagesOne/record/uploadList";
      if (!utils_system.isGetPhone()) {
        loginRef.value.show = true;
      } else {
        common_vendor.index.navigateTo({
          url: "/pagesOne/record/uploadList"
        });
      }
    };
    const mobile = common_vendor.ref("");
    const onLogin = async (e) => {
      path.value = "";
      console.log("-------------------", utils_system.isGetPhone());
      if (!utils_system.isGetPhone()) {
        loginRef.value.show = true;
      }
    };
    const getPhone = (res) => {
      mobile.value = res;
    };
    common_vendor.onLoad(() => {
      navTop.value = utils_system.getNavTop();
    });
    common_vendor.onShow(() => {
      utils_system.getActivityData();
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: imgObj.myBg,
        b: navTop.value + "rpx",
        c: imgObj.user,
        d: common_vendor.t(common_vendor.unref(phone) || mobile.value || "用户昵称"),
        e: !common_vendor.unref(phone) && !mobile.value
      }, !common_vendor.unref(phone) && !mobile.value ? {
        f: common_vendor.o(onLogin)
      } : {}, {
        g: navTop.value + 125 + "rpx",
        h: common_vendor.f(list, (item, index, i0) => {
          return {
            a: item.src,
            b: index
          };
        }),
        i: navTop.value + 280 + "rpx",
        j: imgObj.gift,
        k: imgObj.with,
        l: common_vendor.o(toWinner),
        m: common_vendor.p({
          ["is-link"]: true,
          title: "奖励记录"
        }),
        n: imgObj.page,
        o: common_vendor.o(toUpLoad),
        p: common_vendor.p({
          border: true,
          ["is-link"]: true,
          title: "上传记录"
        }),
        q: common_vendor.sr(loginRef, "276ac604-2", {
          "k": "loginRef"
        }),
        r: common_vendor.o(getPhone),
        s: common_vendor.p({
          path: path.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-276ac604"]]);
wx.createPage(MiniProgramPage);
