"use strict";
const common_vendor = require("../../common/vendor.js");
const services_ams = require("../../services/ams.js");
if (!Math) {
  ActiveBlock();
}
const ActiveBlock = () => "./components/activeBlock.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "uploadDetail",
  setup(__props) {
    const aData = JSON.parse(common_vendor.index.getStorageSync("activityData"));
    const openid = common_vendor.index.getStorageSync("openid");
    const id = common_vendor.ref("");
    const detail = common_vendor.ref({});
    const getList = () => {
      const params = {
        openid,
        marketingActivityId: aData.id,
        id: id.value
      };
      services_ams.rewardDetail(params).then((res) => {
        const data = res.data;
        data.receiptImages = res.data.receiptImages.split(",");
        detail.value = data;
      });
    };
    common_vendor.onLoad((options) => {
      id.value = options.id;
      getList();
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          isShow: true,
          detail: detail.value
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-cebda3a2"]]);
wx.createPage(MiniProgramPage);
