"use strict";
const common_vendor = require("../../common/vendor.js");
const services_ams = require("../../services/ams.js");
if (!Math) {
  ActiveBlock();
}
const ActiveBlock = () => "./components/activeBlock.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "uploadList",
  setup(__props) {
    const openid = common_vendor.index.getStorageSync("openid");
    const list = common_vendor.ref([]);
    const getList = () => {
      services_ams.rewardList({ openid }).then((res) => {
        list.value = res.rows;
      });
    };
    common_vendor.onLoad(() => {
      getList();
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(list.value, (item, index, i0) => {
          return {
            a: item.id,
            b: "9e9212b6-0-" + i0,
            c: common_vendor.p({
              detail: item,
              index,
              isLink: true
            })
          };
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-9e9212b6"]]);
wx.createPage(MiniProgramPage);
