"use strict";
const common_vendor = require("../../../common/vendor.js");
const pagesOne_winner_utils_source = require("../utils/source.js");
const hooks_useDraw = require("../../../hooks/useDraw.js");
const utils_common = require("../../../utils/common.js");
if (!Array) {
  const _easycom_wd_tag2 = common_vendor.resolveComponent("wd-tag");
  const _easycom_wd_popup2 = common_vendor.resolveComponent("wd-popup");
  (_easycom_wd_tag2 + _easycom_wd_popup2)();
}
const _easycom_wd_tag = () => "../../../node-modules/wot-design-uni/components/wd-tag/wd-tag.js";
const _easycom_wd_popup = () => "../../../node-modules/wot-design-uni/components/wd-popup/wd-popup.js";
if (!Math) {
  (_easycom_wd_tag + _easycom_wd_popup)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "uploadRecordPopup",
  props: {
    show: {
      type: Boolean,
      default: false
    },
    list: Array
  },
  emits: ["update:show"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const toDetail = (id) => {
      common_vendor.index.navigateTo({
        url: `/pagesOne/record/uploadDetail?id=${id}`
      });
    };
    const { handleClose } = hooks_useDraw.useDraw(props, emit);
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(props.list, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.discountLevel),
            b: common_vendor.t(common_vendor.unref(utils_common.formatTagStr)(item.processStatus)),
            c: "5a089942-1-" + i0 + ",5a089942-0",
            d: common_vendor.p({
              ["custom-style"]: "padding:8rpx 26rpx;border-radius: 8rpx;font-size:22rpx;",
              color: common_vendor.unref(utils_common.formatTagColor)(item.processStatus),
              ["bg-color"]: common_vendor.unref(utils_common.formatTagBgColor)(item.processStatus)
            }),
            e: common_vendor.o(($event) => toDetail(item.id), item.id),
            f: item.id
          };
        }),
        b: common_vendor.o(
          //@ts-ignore
          (...args) => common_vendor.unref(handleClose) && common_vendor.unref(handleClose)(...args)
        ),
        c: common_vendor.unref(pagesOne_winner_utils_source.imgObj).close,
        d: common_vendor.o(($event) => props.show = $event),
        e: common_vendor.p({
          ["custom-style"]: "height: 880rpx;width:686rpx;background: transparent;",
          modelValue: props.show
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-5a089942"]]);
wx.createComponent(Component);
