/**
 * @description 权限存储函数
 */
const authorizationKey = 'token'

export function getAuthorization() {
  return uni.getStorageSync(authorizationKey)
}

export function setAuthorization(authorization:string) {
  return uni.setStorageSync(authorizationKey, authorization)
}

export function removeAuthorization(authorization:string) {
  return uni.removeStorageSync(authorizationKey)
}